Subject: Re: bug#3410: tar mode fails to open many valid files

From: Stefan Monnier <[email-masked]>
Date: Thu, 04 Jun 2009 12:26:03 -0400

> I tried with 'emacs -Q' and get the same result:

> File poi-bin-3.5-beta5-20090219.tar.gz is large (19MB), really open? (y or n) 
> uncompressing poi-bin-3.5-beta5-20090219.tar.gz...done
> Parsing tar file...

Same thing until here.

> File mode specification error: (error "ntWorkbookBuilder.SheetRecordCollectingListener.html\" title=\"class in org.apache.poi.hssf.eventuserm has size -137265917 - corrupted")

I believe I could now reproduce it, but only if I use url-handler-mode
and download the file directly from Emacs.

I.e. it works fine with
   emacs -Q ~/tmp/poi-bin-3.5-beta5-20090219.tar.gz
but shows your problem with
   emacs -Q -f url-handler-mode; C-x C-f http://.../poi... RET

-- Stefan